#!/bin/sh

TIMESTAMP=`date +"%Y%m%d%H%M%S"`

# create working directory
mkdir -p /media/usbflash/$TIMESTAMP/config
mkdir -p /media/usbflash/$TIMESTAMP/log
mkdir -p /media/usbflash/$TIMESTAMP/core
#mkdir -p /media/usbflash/$TIMESTAMP/memlog

cp /opt/aile/config/* /media/usbflash/$TIMESTAMP/config/
cp /var/log/syslog* /media/usbflash/$TIMESTAMP/log/
cp /var/log/Xorg* /media/usbflash/$TIMESTAMP/log/
#cp /var/log/aile/* /media/usbflash/$TIMESTAMP/memlog/

CORES=`ls /opt/aile/core* 2>/dev/null | wc -l`
if [ $CORES -eq 0 ]; then
	exit 0;
fi

cp /opt/aile/core* /media/usbflash/$TIMESTAMP/core/
if [ $? -ne 0 ]; then
	echo "[WARNING] can not copy core files,"
	echo "so don't remove core files in internal storage."
	rm /media/usbflash/$TIMESTAMP/core/core*
	touch /media/usbflash/$TIMESTAMP/core/cannotcopy
else
	rm /opt/aile/core*
fi

